<div class="container-fluid">
  <a class="btn btn-primary btn-lg btn-floating float-end mt-2"  [routerLink]="['create']" role="button"><i class="fas fa-plus"></i></a>
  <div class="row">
    <div class="col-6">
      <table class="table">
        <thead>
          <tr>

            <th scope="col">Name</th>
            <th scope="col">Gender</th>
            <th scope="col">Active</th>
            <th scope="col">Phone</th>
            <th scope="col">Registered</th>

          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let contact of contacts$ | async" [routerLink]="['detail', contact.id]"
            [class.selected]="contact.id===selectedContactId">
            <td>{{contact.name}}</td>
            <td>{{contact.gender | gender}}</td>
            <td>{{contact.isActive}}</td>
            <td>{{contact.phone}}</td>
            <td>{{contact.registered | date}}</td>
          </tr>

        </tbody>
      </table>
    </div>
    <div class="col-6">
      <router-outlet></router-outlet>
      <div>
      </div>
    </div>